{%extends '::base_admin.html.twig'%}
{%block body%}
    <div class="row"><div class="col-sm-12"><h3>Les projets non validés ({{projets|length}})</h3></div></div>
    <div class="row">
        <div class="col-sm-12">
            <table class="table table-bordered">
                <thead>
                <th>N°</th>
                <th>Code</th>
                <th>Titre</th>
                <th>Description</th>
                <th>Artiste</th>
                <th>Lien sociaux</th>
                <th>Objectif financier</th>
                <th>But du financement</th>
                <th>Date de création</th>
                <th>Action</th>
                </thead>
                <tbody>
                    {%for p in projets%}
                        <tr>
                            <td>{{loop.index}}</td>
                            <td>{{p.code}}</td>
                            <td>{{p.titre}}</td>
                            <td>{{p.description|slice(0,256)}}</td>
                            <td>{{p.artiste.nomArtiste}}</td>
                            <td>
                                YouTube : <a target="_blank" href="{{p.lienYoutube}}">{{p.lienYoutube}}</a><br/>
                                SoundCloud : <a target="_blank" href="{{p.lienSoundcloud}}">{{p.lienSoundcloud}}</a>
                            </td>
                            <td>{{p.objectifFinancier|number_format(0, ',', ' ')}}</td>
                            <td>{{p.butDuFinancement}}</td>
                            <td>{{p.date|date('d-m-Y H:i:s')}}</td>
                            <td>
                                <a href="{{path('admin_projet_edit', {'code': p.code})}}" title="Modifier le projet" class="btn btn-default btn-sm"><i class="glyphicon glyphicon-edit"></i></a>
                                <a href="{{path('admin_soutient_manifeste_projet', {'code': p.code})}}" title="Voir les fans ayant manifesté un soutien pour ce projet" class="btn btn-default btn-sm"><i class="glyphicon glyphicon-align-justify"></i></a>
                                <a href="{{path('admin_soutient_projet', {'code': p.code})}}" title="Voir les fans ayant soutenu ce projet" class="btn btn-default btn-sm"><i class="glyphicon glyphicon-list"></i></a>
                                <a href="{{path('admin_valide_projet', {'code': p.code})}}" title="Valider ce projet" class="btn btn-default btn-sm"><i class="glyphicon glyphicon-ok-circle"></i></a>
                                <a href="{{path('admin_fiche_projet', {'code': p.code})}}" title="Consulter la fiche du projet" class="btn btn-default btn-sm"><i class="glyphicon glyphicon-eye-open"></i></a>
                                <a data-toggle="modal" data-target="#myModal{{p.code}}" title="Supprimer le projet" class="btn btn-default btn-sm"><i class="glyphicon glyphicon-trash"></i></a>

                                <div class="modal fade" id="myModal{{p.code}}" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
                                    <div class="modal-dialog" role="document">
                                        <div class="modal-content">
                                            <div class="modal-header">
                                                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                                                <h4 class="modal-title" id="myModalLabel">Confirmation</h4>
                                            </div>
                                            <div class="modal-body">
                                                <p style="text-align: center">Voulez vous vraiment supprimer ce projet?</p>
                                            </div>
                                            <div class="modal-footer">
                                                <button type="button" class="btn btn-default" data-dismiss="modal">Annuler</button>
                                                <a href="{{path('admin_supprimer_projet', {'code': p.code})}}" class="btn btn-danger">Supprimer</a>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </td>
                        </tr>
                    {%endfor%}
                </tbody>
            </table>
        </div>
    </div>
{%endblock body%}